#include "include.h"

/****************************************************************************************
 * 函数名     ：SPI_Init
 * 函数功能：SPI初始化函数
 * 入口参数：SPI_MODE	1为主机模式，0为从机模式
 * 返回          ：无
****************************************************************************************/
void SPI_Init(unsigned char MODE)
{
	//P10为SCK，P11为SDI,P37为SDO,从机-P36为SS	主机-SPI_SS_PIN
	if(MODE == MODE_Master)
	{
		TR10=0;	TR11=1;	TR37=0;	TR35=0;
		SPI_SS_PIN=1;
		//SPI初始化
		SSCIEN=0;				//关闭SPI模块，初始化完之后再打开
		SSCICTL0=0x02;			//SPI 主控模式，时钟 = 工作时钟/64
		SSCICTL1=0x00;
		SSCISTA=0x00;
		MODE4
		SSCIEN=1;
		SSCIIE=0;				//关闭SPI中断
		SSCIIF=0;				//清零SPI中断标志
	}
	else
	{
		TR10=1;	TR11=1;	TR37=0;	TR36=1;
		//SPI初始化
		SSCIEN=0;				//关闭SPI模块，初始化完之后再打开
		SSCICTL0=0x04;			//SPI 从动模式，时钟 = SCK 引脚。使能SS引脚控制。
		SSCICTL1=0x00;
		SSCISTA=0x00;
		MODE4
		SSCIEN=1;
		SSCIIE=0;				//打开SPI中断
		SSCIIF=0;				//清零SPI中断标志
	}
}

uchar SPI_RW_DATA(uchar temp)
{
	SSCIBUFR=temp;
	while(!SSCIIF);
	SSCIIF=0;
	return SSCIBUFR;
}
